/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/current-pay-details.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/current-pay-details.xml',
'<View title ="Last pay details" defaultFormHandler="xxas_change_pay_pkg.save_form">
  <EditFields>
    <Container Label="SALARY_EDIT_GROUP">
      <Hidden id="PERSON_ID"/>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="PAY_PROPOSAL_ID"/>
      <Hidden id="GRADE_ID"/>
      <Hidden id="PAY_BASIS_ID"/>
      <TextInput id="CHANGE_DATE" label="Effective from" enabled="false" required="false" visible="true"/>
      <TextInput id="SALARY_FREQUENCY" label="Basis" enabled="false" required="false" visible="true"/>
      <TextInput id="PROPOSED_SALARY_N" label="Actual pay amount" enabled="false" required="false" visible="true"/>
      <TextInput id="CHANGE_AMOUNT" label="Change amount" enabled="false" required="false" visible="true"/>
      <TextInput id="INCREASE_PERCENTAGE" label="Change %" enabled="false" required="false" visible="true"/>
      <TextInput id="ANNUALIZED_SALARY" label="Annual equivalent" enabled="false" required="false" visible="true"/>
      <TextInput id="ANNUAL_FTE" label="Annual FTE" enabled="false" required="false" visible="true"/>
      <TextInput id="COMPARATIO" label="Comparatio" enabled="false" required="false" visible="true"/>
      <TextInput id="PERCENTILE" label="Percentile" enabled="false" required="false" visible="true"/>
      <TextInput id="QUINTILE" label="Quintile" enabled="false" required="false" visible="true"/>
      <TextInput id="QUARTILE" label="Quartile" enabled="false" required="false" visible="true"/>
    </Container>
  </EditFields>
</View>' ); 
END;
/
COMMIT;
EXIT;
